Skip to main content
POST
/
v1
/
users
/
{user_id}
/
fiat
/
status
Get a list of fiat transactions and their statuses
curl --request POST \
  --url https://api.privy.io/v1/users/{user_id}/fiat/status \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --header 'privy-app-id: <privy-app-id>' \
  --data '
{
  "provider": "bridge",
  "tx_hash": "<string>"
}
'
{
  "transactions": [
    {
      "created_at": "<string>",
      "destination": {
        "chain": "<string>",
        "currency": "<string>",
        "address": "<string>",
        "privy_user_id": "<string>"
      },
      "is_sandbox": true,
      "id": "<string>",
      "deposit_instructions": {
        "amount": "<string>",
        "deposit_message": "<string>",
        "bank_name": "<string>",
        "bank_account_number": "<string>",
        "bank_routing_number": "<string>",
        "bank_beneficiary_name": "<string>",
        "bank_beneficiary_address": "<string>",
        "bank_address": "<string>",
        "iban": "<string>",
        "bic": "<string>",
        "account_holder_name": "<string>"
      },
      "receipt": {
        "final_amount": "<string>",
        "transaction_hash": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.privy.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

Path Parameters

user_id
string
required

The ID of the user

Body

application/json
provider
enum<string>
required

Valid set of onramp providers

Available options:
bridge,
bridge-sandbox
Example:

"bridge"

tx_hash
string
Pattern: ^0x[0-9a-fA-F]+$

Response

200 - application/json

Bank deposit instructions for the onramp

transactions
object[]
required